<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'config.php';
$align='left';
$title="Фотоальбомы";
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...
$nk = check(intval($_GET['nk']));
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));

if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит вашы Альбомы')."','$time')");

$foto = check(intval($_GET['foto']));
if(empty($foto)){
$album = check($_GET['album']);
if(empty($album)){
echo '<b>Альбомы '.$inf['user'].'</b> | <a href="'.H.'my_albums">Мои альбомы</a><dt></dt><br/>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_albom where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from foto_albom where user_id = '".$inf['id']."' order by time_izm desc LIMIT $start, $max");
if ($k_post == 0)echo 'Албомов пока нет...<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){


$f0=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_add where album = '".$a['id']."'"),0);
if ($f0!=0){
$f = $db->sql_fetchrow($db->sql_query("Select * from foto_add where album = '".$a['id']."' order by id desc LIMIT 1"));

$foto = "album_".$a['id']."_".$f['id'].$f['format']."";

echo '<img src="'.H.'foto_img?foto='.$f['id'].'&amp;w='.$set['w_foto'].'&amp;h='.$set['h_foto'].'" alt=""/> ';
}
echo '<a href="'.H.'album'.$inf['id'].'_'.$a['id'].'">'.$a['name'].'</a>
<br />'.$a['kom'].'<br />
<small>файлов: '.$f0.' | просмотров: '.$a['prosm'].'<br />Создан: '.times($a['time_s']).' | Изменен: '.times($a['time_izm']).'</small><br/>';
echo '<dt></dt>';

}

if ($k_page>1){
echo '<dl><dt></dt></dl>';
str(''.H.'album'.$inf['id'].'?',$k_page,$page);
echo '<br /><dl><dt></dt></dl><br />';
}



}else{
$q = $db->sql_fetchrow($db->sql_query ("Select * from foto_albom where `id`='".$album."' and user_id = '".$inf['id']."'"));
echo '<a href="'.H.'album'.$inf['id'].'">Альбомы '.$inf['user'].'</a> | <b>'.$q['name'].'</b><dt></dt><br/>';

if ($q['pp_al']!=1 || friends($inf[id],$user['id'])==1){ // Если друг или просматривать могут все...

$q['prosm']++;
@$db->sql_query("update `foto_albom` set `prosm`='".$q['prosm']."' where `id`='".$album."' and user_id = '".$inf['id']."';");

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_add where album = '".$album."' and user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from foto_add where album = '".$album."' and user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'В этом альбоме пока нет фото.<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<a href="'.H.'album'.$inf['id'].'_'.$album.'_'.$a['id'].'"><img src="'.H.'foto_img?foto='.$a['id'].'&amp;w='.$set['w_foto'].'&amp;h='.$set['h_foto'].'" alt=""/></a>
<br />'.$a['kom'].'<br />
<small>Добавлена: '.times($a['time']).'</small><br/>';
echo '<dt></dt>';
}

if ($k_page>1){
echo '<dl><dt></dt></dl>';
str(''.H.'album'.$inf['id'].'_'.$album.'?',$k_page,$page);
echo '<br /><dl><dt></dt></dl><br />';
}

}else{echo 'Просматривать этот альбом могут только друзья '.$inf['user'].'<br />';}

}

}else{

$f = $db->sql_fetchrow($db->sql_query("Select * from foto_add where id = '".$foto."' and album = '".intval($_GET['album'])."' and user_id = '".$inf['id']."'"));

$q = $db->sql_fetchrow($db->sql_query ("Select * from foto_albom where `id`='".$f['album']."'"));
echo '<a href="'.H.'album'.$inf['id'].'">Альбомы '.$inf['user'].'</a> | <a href="'.H.'album'.$inf['id'].'_'.$f['album'].'">'.$q['name'].'</a><dt></dt>';
if ($q['pp_al']!=1 || friends($inf[id],$user['id'])==1){ // Если друг или просматривать могут все...

$ff = $db->sql_fetchrow($db->sql_query("Select * from foto_add where id = '".$foto."' and album = '".intval($_GET['album'])."' and user_id = '".$inf['id']."'"));
if (mysql_affected_rows()==0){
echo 'Такого фото не существует!<br />';
}else{


$deler = check(intval($_GET['deler']));
if($deler) {
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `foto_add` WHERE `id`='".$deler."';"));
if($d[user_id]==$user[id] || $user[level]>=5){

$flag = unlink (H.'files/album/album_'.$d['album'].'_'.$d['id'].$d['format']);
if($flag){
@$db->sql_query("delete from `foto_add` WHERE `id`='".$deler."';");
$del_foto="Файл успешно удален<br />";

header ('Location: '.H.'album'.$inf['id'].'_'.$d['album'].'?'.SID);  exit;
}else{
$del_foto="Ошибка удаления файла<br />"; }

echo $del_foto;
}
}



$f['prosm']++;
$db->sql_query("UPDATE `foto_add` SET `prosm` = '".$f['prosm']."' WHERE `id` = '".$foto."';");
echo '&#160;&#160;&#160;&#160;';
$f0 = @$db->sql_fetchrow($db->sql_query("SELECT * FROM `foto_add` WHERE `album`='".$f['album']."' and user_id = '".$inf['id']."' and `id` < '".$foto."' ORDER BY `id` DESC LIMIT 1;"));
$f2 = @$db->sql_fetchrow($db->sql_query("SELECT * FROM `foto_add` WHERE `album`='".$f['album']."' and user_id = '".$inf['id']."' and `id` > '".$foto."' ORDER BY `id` LIMIT 1;"));

if(isset($f0['id']))echo '<a href="'.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f0['id'].'">&lt;&lt;&lt;</a>';
if(isset($f0['id'])&&isset($f2['id']))echo ' | ';
if(isset($f2['id']))echo '<a href="'.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f2['id'].'">&gt;&gt;&gt;</a><br/>';


echo '<br/>';
$Size = GetImageSize(H.'files/album/album_'.$f['album'].'_'.$f['id'].$f['format']);
echo '&#160;<img src="'.H.'foto_img?foto='.$foto.'&amp;w='.$set['w_foto2'].'&amp;h='.$set['h_foto2'].'&amp;'.SID.'" alt=""/><br />';

echo '<br />&#160;<u>Описание:</u> '.$f['kom'].'<br/>';
if (user_inf($f[user_id],'sex')==1)$sex = 'Отправил'; else $sex = 'Отправила';
echo '&#160;<u>'.$sex.':</u> '.nik($f[user_id]).'<br/>';
echo '&#160;<u>Оригинал:</u> <a href="'.H.'files/album/album_'.$f['album'].'_'.$f['id'].$f['format'].'">'.$Size[0].'x'.$Size[1].'</a> '.round($f['razmer']).' кб.<br />';


$arr = array('128x128','120x160','132x176','176x220','240x320');
echo '&#160;<u>Размер:</u> ';
foreach($arr as $v)
{
list ($w,$h) = explode('x',$v);
echo '<a href="foto_img?foto='.$foto.'&amp;w='.$w.'&amp;h='.$h.'">'.$v.'</a> | ';
}
echo '<br />';
echo '&#160;<u>Формат:</u> '.$f['format'].'<br />';
echo '&#160;<u>Добавлена:</u> '.times($f['time']).'<br />';
echo '&#160;<u>Просмотров:</u> '.$f['prosm'].'<br />';

if($f[user_id]==$user[id] || $user[level]>=5){
echo '<br /><a href="'.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?deler='.$f['id'].'">Удалить фото</a><br />';
}



if (user_inf($inf[id],'pp_c_st')==2){echo '<br /><b>'.$inf['user'].'</b> запретил просматривать его стену!<br />';
}else{


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_komm where foto = '".$f['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from foto_komm where foto = '".$f['id']."' order by time desc LIMIT $start, $max");
echo '<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo menu.'&#160;<b>Комментарии</b>'.div.'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($_GET['err']==1)echo '<b>Сообщение должно быть длиннее 3 символов!</b><br />';
if ($_GET['err']==2)echo '<b>Вы не можете оставлять комментарии, т.к. находитесь в черном списке '.$inf[user].'.</b><br />';
if ($k_post == 0)echo 'Комментариев пока нет...<br /><br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
if($inf[id]==$user[id] || $user[level]>=5)$delk = '<dt></dt><small>&#160;&#160;<a href="'.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?delk='.$a['id'].'">Удалить</a></small><dt></dt>';
else $delk = '<br />';
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;
echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';
echo $delk;

}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}

if ($q['pp_al_k']==2 && $inf[id]!=$user[id]){echo '<b>'.$inf['user'].'</b> запретил оставлять комментарии к фото!<br />';
}else{
if ($q['pp_al_k']!=1 || friends($inf[id],$user['id'])==1){ // Если друг или просматривать могут все...

if ($ver!='wml')echo '<form action="'.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Ваш комментарий:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo 'Ваш комментарий:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';

if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="'.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}



if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])<3){header ('Location: '.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?err=1&'.SID); exit;}
if (ignor(user_inf($inf[id]),$user['id'])==1){header ('Location: '.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?err=2&'.SID);  exit;}

if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO foto_komm (user_id,mgs_id,msg,time,foto) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time','$f[id]')");

header ('Location: '.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?'.SID);

}



}else{echo 'Оставлять комментарии могут только друзья <b>'.$inf['user'].'</b>!<br />';}
}

}
if (isset($_GET['delk'])){
if($inf[id]==$user[id] || $user[level]>=5){
$db->sql_query("DELETE FROM `foto_komm` WHERE `id` = '".intval($_GET['delk'])."'");
}

header ('Location: '.H.'album'.$inf['id'].'_'.$f['album'].'_'.$f['id'].'?'.SID);

}

}

}else{echo 'Просматривать этот альбом могут только друзья '.$inf['user'].'<br />';}
}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>